* {
  font-size: 1.5rem;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: steelblue;
  height: 100vh;
  max-height: 100vh;
  overflow-y: hidden;
}
body .v-wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}
body .v-wrapper header {
  background: linear-gradient(to top, steelblue, lightsteelblue);
  font-size: 2.5rem;
  font-weight: bold;
  text-shadow: 0 0 1px white, 2px 2px 5px black;
  text-align: center;
  padding: 15px;
  border-bottom: 5px ridge black;
}
body .v-wrapper .h-wrapper {
  display: flex;
  flex-direction: row;
}
body .v-wrapper .h-wrapper aside.aside_left {
  margin: 15px;
  background: white;
  height: 92%;
  width: 210px;
  border-right: 5px ridge black;
  overflow-y: auto;
}
body .v-wrapper .h-wrapper aside.aside_left ul {
  margin: 15px;
}
body .v-wrapper .h-wrapper aside.aside_left ul li {
  list-style: none;
  cursor: pointer;
  background: white;
}
body .v-wrapper .h-wrapper aside.aside_left ul li p {
  font-size: 0.7rem;
  font-weight: bold;
  text-align: center;
  white-space: nowrap;
  width: 178px;
  overflow-x: hidden;
  padding: 5px;
  border-bottom: 1px solid darkorange;
  border-right: 1px solid darkorange;
}
body .v-wrapper .h-wrapper aside.aside_left ul li p.active {
  background: steelblue;
  color: black;
  text-shadow: 0 0 2px darkorange;
}
body .v-wrapper .h-wrapper aside.aside_left ul li p:hover {
  background: black;
  color: white;
}
body .v-wrapper .h-wrapper #viz {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background: steelblue;
  margin: 15px 0 0 25px;
}
body .v-wrapper .h-wrapper #viz .event-wrapper {
  display: flex;
  justify-content: end;
  box-shadow: 0 2px 2px 2px black;
  height: 150px;
  max-width: 900px;
}
body .v-wrapper .h-wrapper #viz .event-wrapper .eventInfo {
  display: flex;
  flex-direction: column;
  justify-content: start;
  width: 100%;
  text-align: center;
  background: white;
}
body .v-wrapper .h-wrapper #viz .event-wrapper .eventInfo h3 {
  text-decoration: underline;
}
body .v-wrapper .h-wrapper #viz .event-wrapper .eventInfo #eventInfo {
  font-size: 1rem;
  padding: 0 25px;
  margin-top: 25px;
}
body .v-wrapper .h-wrapper #viz .event-wrapper .vizbtn {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: white;
  border-left: 1px solid black;
}
body .v-wrapper .h-wrapper #viz .event-wrapper .vizbtn button {
  height: 45px;
  margin: 15px;
  padding: 5px 15px;
  font-size: 0.6rem;
  border-radius: 15px;
  cursor: pointer;
  background: lightsteelblue;
  transition: all 500ms;
}
body .v-wrapper .h-wrapper #viz .event-wrapper .vizbtn button:hover {
  background: greenyellow;
}
body .v-wrapper .h-wrapper #viz svg {
  height: 600px;
  width: 900px;
  background: white;
  box-shadow: 0 2px 2px 2px black;
  margin: 50px 0;
}
body .v-wrapper .h-wrapper #viz svg g.Home:hover {
  cursor: pointer;
}
body .v-wrapper .h-wrapper #viz svg g.Home > text {
  font-weight: bold;
  fill: white;
}
body .v-wrapper .h-wrapper #viz svg g.viztemp text {
  text-transform: uppercase;
  font-weight: bold;
}
body .v-wrapper .h-wrapper aside.aside_right {
  height: 650px;
  width: 250px;
  margin: 0;
  padding: 0;
  box-shadow: 0 2px 2px black;
  margin: 15px 25px;
  font-size: 1rem;
  background: white;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .einfo {
  height: 250px;
  border-bottom: 2px ridge black;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .einfo .head {
  text-align: center;
  padding: 15px 0;
  font-weight: bold;
  text-shadow: 0 0 5px white;
  background: darkorange;
  border-bottom: 2px ridge black;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .einfo #entity_info {
  font-size: 1.5rem;
  font-weight: bold;
  padding: 5px;
  text-align: center;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .einfo #entity_id {
  font-size: 1.25rem;
  font-weight: 400;
  padding: 5px;
  text-align: center;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .colorInfo h3 {
  text-align: center;
  background-color: darkorange;
  padding: 10px 0;
  border-bottom: 2px ridge black;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .colorInfo h4 {
  text-align: center;
  font-size: 1rem;
  padding: 5px 0;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .colorInfo h4.home {
  color: black;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .colorInfo h4.entity {
  color: darkorange;
  text-shadow: 0 0 1px #444;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .colorInfo h4.automation {
  color: black;
  text-shadow: 0 0 2px lightsteelblue;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .colorInfo h4.service {
  color: lightgray;
  text-shadow: 0 0 1px black;
}
body .v-wrapper .h-wrapper aside.aside_right .v-container .colorInfo h4.payload {
  color: steelblue;
}
